> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.freecustom.email/free-custom-email-api/v-1/inboxes/inbox/unregister-an-inbox/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.freecustom.email/_mcp/server. # Unregister an inbox DELETE https://api2.freecustom.email/v1/inboxes/{inbox} Unregisters (deletes) a previously registered inbox from your account. All messages stored in the inbox are permanently deleted along with it. **Path parameters:** - `:inbox` — URL-encoded inbox address (e.g., `test%40domain.com`) **Behaviour:** - Returns `204 No Content` on success — no response body. - Returns `404` if the inbox does not exist or does not belong to your account. - All messages within the inbox are deleted immediately and irreversibly. **Plan:** All plans (Free and above). Reference: https://docs.freecustom.email/free-custom-email-api/v-1/inboxes/inbox/unregister-an-inbox ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `inbox` (string, required) ## Response ### 200 OK - `success` (boolean, required) - `message` (string, required) ## Errors ### 401 Unauthorized Error Unauthorized - `success` (boolean, required) - `error` (string, required) - `message` (string, required) ### 404 Not Found Error Not Found - `success` (boolean, required) - `error` (string, required) - `message` (string, required) ### 429 Too Many Requests Error Too Many Requests - `success` (boolean, required) - `error` (string, required) - `message` (string, required) - `upgrade_url` (string, required) - `credits_url` (string, required) - `hint` (string, required) ## Examples **Response** ```json { "success": true, "message": "string" } ``` **SDK Code** ```python v1_inboxes_{inbox}_Unregister an inbox_example import requests url = "https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D" headers = {"Authorization": "Bearer "} response = requests.delete(url, headers=headers) print(response.json()) ``` ```javascript v1_inboxes_{inbox}_Unregister an inbox_example const url = 'https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D'; const options = {method: 'DELETE', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_inboxes_{inbox}_Unregister an inbox_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D" req, _ := http.NewRequest("DELETE", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_inboxes_{inbox}_Unregister an inbox_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_inboxes_{inbox}_Unregister an inbox_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_inboxes_{inbox}_Unregister an inbox_example request('DELETE', 'https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_inboxes_{inbox}_Unregister an inbox_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_inboxes_{inbox}_Unregister an inbox_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/inboxes/%7B%7Bmailbox%7D%7D")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```